=== debian/changelog ===
davix (0.8.0-1build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:29:26 +0000

davix (0.8.0-1) unstable; urgency=medium

  * Update to version 0.8.0
  * Remove override_dh_strip rule (completed debug symbol migration)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 29 Sep 2021 22:49:08 +0200
