=== debian/control ===
Source: davix
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper (>= 13),
 cmake,
 libxml2-dev,
 libssl-dev,
 gsoap,
 libgsoap-dev,
 libgtest-dev (>= 1.8.0-7),
 libcurl4-openssl-dev,
 pkg-config,
 doxygen,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 zlib1g-dev,
 uuid-dev,
 rapidjson-dev
Standards-Version: 4.6.0
Section: net
Vcs-Browser: https://salsa.debian.org/ellert/davix
Vcs-Git: https://salsa.debian.org/ellert/davix.git
Homepage: https://dmc-docs.web.cern.ch/dmc-docs/davix.html

Package: davix
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdavix0v5 (= ${binary:Version})
Description: Toolkit for http based file management
 Davix is a toolkit designed for file operations with http based protocols
 (WebDav, Amazon S3, ...).

Package: davix-tests
Architecture: any
Multi-Arch: foreign
Replaces:
 davix (<< 0.7.1-2~)
Breaks:
 davix (<< 0.7.1-2~)
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdavix0v5 (= ${binary:Version})
Description: Test suite for davix
 Test suite for davix. Davix is a toolkit designed for file operations
 with http based protocols (WebDav, Amazon S3, ...).

Package: libdavix0v5
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Runtime library for davix
 Library for davix. Davix is a toolkit designed for file operations with
 http based protocols (WebDav, Amazon S3, ...).

Package: davix-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libdavix0v5 (= ${binary:Version})
Description: Development files for davix
 Development files for davix. Davix is a toolkit designed for file operations
 with http based protocols (WebDav, Amazon S3, ...).

Package: davix-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Built-Using:
 ${sphinxdoc:Built-Using}
Description: Documentation for davix
 Documentation and examples for davix. Davix is a toolkit designed for file
 operations with Http based protocols (WebDav, Amazon S3, ...).
