## davix 0.8.2

=== debian/changelog ===
davix (0.8.2-2) unstable; urgency=medium

  * Move documentation dependencies to Build-Depends-Indep (Closes: #1010320)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 11 Jul 2022 21:42:05 +0200

davix (0.8.2-1) unstable; urgency=medium

  * Update to version 0.8.2 (Closes: #1012467)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 11 Jun 2022 17:45:26 +0200

davix (0.8.1-1) unstable; urgency=medium

  * Update to version 0.8.1
  * Drop patches (all accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 20 Apr 2022 10:20:18 +0200
