=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: davix
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
  debhelper (>= 13),
  cmake,
@@ -12,13 +11,16 @@
  libgtest-dev (>= 1.8.0-7),
  libcurl4-openssl-dev,
  pkg-config,
- doxygen,
- python3-sphinx,
- python3-sphinx-rtd-theme,
+ python3:native,
  zlib1g-dev,
  uuid-dev,
  rapidjson-dev
-Standards-Version: 4.6.0
+Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
+ doxygen,
+ python3-sphinx,
+ python3-sphinx-rtd-theme
+Standards-Version: 4.6.1
 Section: net
 Vcs-Browser: https://salsa.debian.org/ellert/davix
 Vcs-Git: https://salsa.debian.org/ellert/davix.git
