## davix 0.8.3

=== debian/changelog ===
davix (0.8.3-1) unstable; urgency=medium

  * Update to version 0.8.3
  * Drop ancient Replaces/Breaks

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 15 Dec 2022 16:29:36 +0100
