=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libssl-dev,
  gsoap,
  libgsoap-dev,
- libgtest-dev (>= 1.8.0-7),
+ libgtest-dev,
  libcurl4-openssl-dev,
  pkg-config,
  python3:native,
@@ -40,10 +40,6 @@
 Package: davix-tests
 Architecture: any
 Multi-Arch: foreign
-Replaces:
- davix (<< 0.7.1-2~)
-Breaks:
- davix (<< 0.7.1-2~)
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
