## davix 0.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #-------------------------------------------------------------------------------
 # Find the python executable to use during the build
 #-------------------------------------------------------------------------------
-find_package(PythonInterp REQUIRED)
+find_package(Python COMPONENTS Interpreter REQUIRED)
 
 #-------------------------------------------------------------------------------
 # Regenerate include/davix/features.hpp and version.cmake at _build_ time
@@ -15,8 +15,8 @@
 add_custom_target(GenerateVersionInfo ALL DEPENDS Version)
 add_custom_command(
   OUTPUT Version
-  COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/genversion.py --template include/davix/features.hpp.in --out include/davix/features.hpp
-  COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/genversion.py --template version.cmake.in --out version.cmake
+  COMMAND ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/genversion.py --template include/davix/features.hpp.in --out include/davix/features.hpp
+  COMMAND ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/genversion.py --template version.cmake.in --out version.cmake
   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
 )
 
@@ -25,7 +25,7 @@
 # only regenerates it at compile time.
 #-------------------------------------------------------------------------------
 execute_process(
-  COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/genversion.py --template version.cmake.in --out version.cmake
+  COMMAND ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/genversion.py --template version.cmake.in --out version.cmake
   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
 )
 
@@ -117,10 +117,16 @@
 if(EMBEDDED_LIBCURL)
   include(buildCurl REQUIRED)
   buildCurl()
+  set(libcurl libcurl)
+else()
+  find_package(CURL REQUIRED)
+  set(libcurl CURL::libcurl)
 endif()
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/deps/libneon/src/ ${UUID_INCLUDE_DIRS})
 include_directories(${CMAKE_SOURCE_DIR}/include/davix)
+
+include(CTest)
 
 add_subdirectory (src)
 add_subdirectory (doc)
