=== src/tools/CMakeLists.txt ===
--- 
+++ 
@@ -79,7 +79,7 @@
 
     add_executable(davix_cp_tool davix_tool_copy_main.cpp)
 
-    target_link_libraries(davix_cp_tool davix_copy davix_tool_lib)
+    target_link_libraries(davix_cp_tool davix_copy davix_tool_lib libdavix)
     set_target_properties(davix_cp_tool PROPERTIES
                                 OUTPUT_NAME "davix-cp")
