=== debian/changelog ===
davix (0.8.4-3) unstable; urgency=medium

  * Update .shlibs file

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 09 Feb 2023 05:04:23 +0100

davix (0.8.4-2) unstable; urgency=medium

  * Do not hardcode error numbers - Fixes test failure on Hurd

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 08 Feb 2023 18:38:22 +0100

davix (0.8.4-1) unstable; urgency=medium

  * Update to version 0.8.4

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 07 Feb 2023 19:02:04 +0100
