=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  doxygen,
  python3-sphinx,
  python3-sphinx-rtd-theme
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: net
 Vcs-Browser: https://salsa.debian.org/ellert/davix
 Vcs-Git: https://salsa.debian.org/ellert/davix.git
