=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+BUILD_DOC = $(if $(filter davix-doc,$(shell dh_listpackages)),TRUE,FALSE)
+
 %:
-	dh $@ --with sphinxdoc
+	dh $@
 
 override_dh_auto_configure:
 	# Remove bundled stuff
@@ -17,12 +19,12 @@
 	ln -s /usr/include/rapidjson src/libs/rapidjson
 	dh_auto_configure -- -DLIB_SUFFIX:PATH="/$(DEB_HOST_MULTIARCH)" \
 		-DEMBEDDED_LIBCURL:BOOL=FALSE \
-		-DENABLE_HTML_DOCS:BOOL=TRUE \
+		-DENABLE_HTML_DOCS:BOOL=$(BUILD_DOC) \
 		-DENABLE_THIRD_PARTY_COPY:BOOL=TRUE
 
 override_dh_auto_build:
-	dh_auto_build -- all doc
-	( cd obj-$(DEB_HOST_GNU_TYPE)/doc ; \
+	dh_auto_build
+	[ "$(BUILD_DOC)" = "FALSE" ] || ( cd obj-$(DEB_HOST_GNU_TYPE)/doc ; \
 	  sphinx-build -q -b html ../../doc/sphinx build/html )
 
 override_dh_auto_install:
